import React, { useState } from 'react';
import { TextField, Button, Box } from '@mui/material';

interface DirectorySearchPanelProps {
  folderNameSlugged: string;
}

const DirectorySearchPanel = ({ folderNameSlugged }: DirectorySearchPanelProps) => {
  const [searchQuery, setSearchQuery] = useState('');

  const handleSearchQueryChange = (event: React.ChangeEvent<HTMLInputElement>) => {
    setSearchQuery(event.target.value);
  };

  const handleSearch = () => {
    // Implement Meilisearch search here
    console.log(`Searching ${folderNameSlugged} for ${searchQuery}`);
  };

  return (
    <Box sx={{ padding: '16px', display: 'flex', flexDirection: 'column', height: '100%' }}>
      <Box sx={{ display: 'flex', gap: '8px', marginBottom: '16px' }}>
        <TextField
          label="Search"
          variant="outlined"
          value={searchQuery}
          onChange={handleSearchQueryChange}
          sx={{ flex: 1 }}
        />
        <Button variant="contained" color="primary" onClick={handleSearch}>
          Search
        </Button>
      </Box>
      {/* Add search results component here */}
    </Box>
  );
};

export default DirectorySearchPanel;
